package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 经验共享-应用系统维护对象 jygx_yyxtwh
 *
 * @author qianhe
 * @date 2024-07-29
 */
public class JygxYyxtwh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long yyxtid;

    /** 排序 */
    @Excel(name = "排序")
    private Long px;

    /** 应用系统名称 */
    @Excel(name = "应用系统名称")
    private String yyxtmc;

    /** 连接地址 */
    @Excel(name = "连接地址")
    private String ljdz;

    /** 图标地址 */
    @Excel(name = "图标地址")
    private String tbdz;

    /** 跳转方式（新页签，当前页） */
    @Excel(name = "跳转方式", readConverterExp = "新=页签，当前页")
    private String tzfs;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    /** 发布状态（3未发布/4发布） */
    @Excel(name = "发布状态", readConverterExp = "3=未发布/4发布")
    private String fbzt;

    public void setYyxtid(Long yyxtid)
    {
        this.yyxtid = yyxtid;
    }

    public Long getYyxtid()
    {
        return yyxtid;
    }
    public void setPx(Long px)
    {
        this.px = px;
    }

    public Long getPx()
    {
        return px;
    }
    public void setYyxtmc(String yyxtmc)
    {
        this.yyxtmc = yyxtmc;
    }

    public String getYyxtmc()
    {
        return yyxtmc;
    }
    public void setLjdz(String ljdz)
    {
        this.ljdz = ljdz;
    }

    public String getLjdz()
    {
        return ljdz;
    }
    public void setTbdz(String tbdz)
    {
        this.tbdz = tbdz;
    }

    public String getTbdz()
    {
        return tbdz;
    }
    public void setTzfs(String tzfs)
    {
        this.tzfs = tzfs;
    }

    public String getTzfs()
    {
        return tzfs;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }
    public void setFbzt(String fbzt)
    {
        this.fbzt = fbzt;
    }

    public String getFbzt()
    {
        return fbzt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("yyxtid", getYyxtid())
            .append("px", getPx())
            .append("yyxtmc", getYyxtmc())
            .append("ljdz", getLjdz())
            .append("tbdz", getTbdz())
            .append("tzfs", getTzfs())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("fbzt", getFbzt())
            .toString();
    }
}
